#mysql ???
spring.datasource.mysql-server.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.mysql-server.jdbc-url = jdbc:mysql://139.9.173.44:3306/equipment?useUnicode=true&allowMultiQueries=true&characterEncoding=utf-8&useJDBCCompliantTimezoneShift=true&useLegacyDatetimeCode=false&serverTimezone=Asia/Shanghai
spring.datasource.mysql-server.username=root
spring.datasource.mysql-server.password=Yeejoin@2020
spring.datasource.mysql-server.type=com.zaxxer.hikari.HikariDataSource
spring.datasource.mysql-server.hikari.pool-name=DatebookHikariCP
spring.datasource.mysql-server.hikari.minimum-idle= 3
spring.datasource.mysql-server.hikari.maximum-pool-size= 30
spring.datasource.mysql-server.hikari.auto-commit= true
spring.datasource.mysql-server.hikari.idle-timeout= 500000
spring.datasource.mysql-server.hikari.max-lifetime= 1800000
spring.datasource.mysql-server.hikari.connection-timeout= 60000
spring.datasource.mysql-server.hikari.connection-test-query= SELECT 1
#TDengine ???
spring.datasource.tdengine-server.driver-class-name=com.taosdata.jdbc.rs.RestfulDriver
spring.datasource.tdengine-server.jdbc-url = jdbc:TAOS-RS://139.9.170.47:6041/iot_data?user=root&password=taosdata&timezone=GMT%2b8&allowMultiQueries=true
spring.datasource.tdengine-server.username=root
spring.datasource.tdengine-server.password=taosdata
spring.datasource.tdengine-server.type=com.zaxxer.hikari.HikariDataSource
spring.datasource.tdengine-server.hikari.minimum-idle= 30
spring.datasource.tdengine-server.hikari.maximum-pool-size= 150
spring.datasource.tdengine-server.hikari.auto-commit= true
spring.datasource.tdengine-server.hikari.pool-name=TDEngineDruidCP
spring.datasource.tdengine-server.hikari.idle-timeout= 500000
spring.datasource.tdengine-server.hikari.max-lifetime= 1800000
spring.datasource.tdengine-server.hikari.connection-timeout= 60000
spring.datasource.tdengine-server.hikari.connection-test-query= show tables

spring.redis.database=0
spring.redis.host=139.9.173.44
spring.redis.port=6379
spring.redis.password=yeejoin@2020
spring.redis.timeout=3000
spring.redis.lettuce.pool.max-active=300
spring.redis.lettuce.pool.max-wait=-1
spring.redis.lettuce.pool.max-idle=64
spring.redis.lettuce.pool.min-idle=0

eureka.client.registry-fetch-interval-seconds=5
management.endpoint.health.show-details=always
management.endpoints.web.exposure.include=*
eureka.instance.health-check-url-path=/actuator/health
eureka.instance.lease-expiration-duration-in-seconds=10
eureka.instance.lease-renewal-interval-in-seconds=5
eureka.instance.metadata-map.management.context-path=${server.servlet.context-path}/actuator
eureka.instance.status-page-url-path=/actuator/info
eureka.instance.metadata-map.management.api-docs=http://localhost:${server.port}${server.servlet.context-path}/doc.html
eureka.instance.hostname= 139.9.173.44
eureka.instance.prefer-ip-address = true
eureka.client.serviceUrl.defaultZone=http://${spring.security.user.name}:${spring.security.user.password}@139.9.173.44:10001/eureka/
spring.security.user.name=admin
spring.security.user.password=a1234560

emqx.clean-session=true
emqx.client-id=${spring.application.name}-${random.int[1,65536]}
emqx.biz-client-id=consumer-${random.int[1,65536]}
emqx.broker=tcp://139.9.173.44:1883
emqx.client-user-name=admin
emqx.client-password=public
emqx.max-inflight=1000
emqx.keep-alive-interval=10
emqx.biz-topic[0]= iot/data/perspective

#kafka
spring.kafka.bootstrap-servers=139.9.173.44:9092
spring.kafka.producer.retries=1
spring.kafka.producer.bootstrap-servers=139.9.173.44:9092
spring.kafka.producer.batch-size=16384
spring.kafka.producer.buffer-memory=33554432
spring.kafka.producer.acks=1
spring.kafka.producer.key-serializer=org.apache.kafka.common.serialization.StringSerializer
spring.kafka.producer.value-serializer=org.apache.kafka.common.serialization.StringSerializer
spring.kafka.consumer.group-id=messageConsumerGroup
spring.kafka.consumer.bootstrap-servers=139.9.173.44:9092
spring.kafka.consumer.enable-auto-commit=true
spring.kafka.consumer.auto-offset-reset=earliest
spring.kafka.consumer.key-deserializer=org.apache.kafka.common.serialization.StringDeserializer
spring.kafka.consumer.value-deserializer=org.apache.kafka.common.serialization.StringDeserializer
spring.kafka.consumer.fetch-max-wait= 1000
spring.kafka.consumer.max-poll-records=1000
spring.kafka.listener.ack-mode=manual_immediate
spring.kafka.listener.type=batch
kafka.alarm.topic=EQUIPMENT_ALARM
kafka.topic=PERSPECTIVE
emq.topic=iot/data/perspective

elasticsearch.address= 139.9.173.44:9200
elasticsearch.username= elastic
elasticsearch.password= Yeejoin@2020
elasticsearch.scheme= http
elasticsearch.connectTimeout= 50000
elasticsearch.socketTimeout= 50000
elasticsearch.connectionRequestTimeout= 50000
elasticsearch.maxConnectNum= 1000
elasticsearch.maxConnectPerRoute= 1000